World of Warcraft: Are your add-ons 2.1 compatible?

World of Warcraft: Are your add-ons 2.1 compatible? - Image 1 


Most players on Blizzard's World of Warcraft use add-ons because of the added convenience it brings to the game. However, if you've become dependent on them like me (I personally love the DoTimer, LoadIT, and ChatMOD), then you'd better check if it's compatible with the 2.1 patch that's coming out.


Curse Gaming was cool enough to post a compatibility list for the add-ons (you can check this out via our read link below). After checking with the UI forum, we came to the same conclusion that the modifications to the existing add-ons shouldn't be as extensive as the previous patch. However, a lot can happen when it comes to development and implementation of add-ons, so don't be so certain that your current configuration will work once the new patch comes out.


So don't be caught with your pants down and check out the list immediately to see if your add-ons are known to work with the 2.1 patch. You should remember though that just because it's not posted doesn't mean it won't work, it just means that it hasn't been tested under the new patch.



World of Warcraft: Are your add-ons 2.1 compatible? - Image 1 


Most players on Blizzard's World of Warcraft use add-ons because of the added convenience it brings to the game. However, if you've become dependent on them like me (I personally love the DoTimer, LoadIT, and ChatMOD), then you'd better check if it's compatible with the 2.1 patch that's coming out.


Curse Gaming was cool enough to post a compatibility list for the add-ons (you can check this out via our read link below). After checking with the UI forum, we came to the same conclusion that the modifications to the existing add-ons shouldn't be as extensive as the previous patch. However, a lot can happen when it comes to development and implementation of add-ons, so don't be so certain that your current configuration will work once the new patch comes out.


So don't be caught with your pants down and check out the list immediately to see if your add-ons are known to work with the 2.1 patch. You should remember though that just because it's not posted doesn't mean it won't work, it just means that it hasn't been tested under the new patch.



Leave a Reply

Your email address will not be published. Required fields are marked *